# ML Manager [![Build Status](https://travis-ci.org/javiersantos/MLManager.svg?branch=master)](https://travis-ci.org/javiersantos/MLManager)

[![Android Arsenal](https://img.shields.io/badge/Android%20Arsenal-MLManager-blue.svg?style=flat)](http://android-arsenal.com/details/3/2003)

Modern, easy and customizable app manager for Android with root features and Material Design.

### Features
* Extract installed & system apps and save locally as APK.
* Organize your applications marking them as favorite.
* Uninstall apps easily.
* Customization options available in Settings.
* No root required.
* Material Design.
* Really easy to use.

#### Root features
* Hide apps from launcher.
* Easily access your hidden apps from the side panel.
* Remove cache per app.
* Clean data per app.

## APK Download
### ML Manager
* [Download on Google Play](https://play.google.com/store/apps/details?id=com.javiersantos.mlmanager) - Recommended -
* [Download on GitHub](https://github.com/javiersantos/MLManager/releases)
* [Download on F-Droid](https://f-droid.org/repository/browse/?fdid=com.javiersantos.mlmanager)

### ML Manager Pro
* [Download on Google Play](https://play.google.com/store/apps/details?id=com.javiersantos.mlmanagerpro) - 1.43 $ -

![ML Manager](https://raw.githubusercontent.com/javiersantos/MLManager/master/Screenshots/header-basic.png)

## Translations
[Help translating this app](https://crowdin.com/project/ml-manager)
* English
* Spanish
* Japanese
* Portuguese
* Italian - Thanks to Lucian Sipos -
* Polish - Thanks to TykTak -

## Third Party Libraries
* [Material Design Library](https://github.com/navasmdc/MaterialDesignLibrary)
* [Android Floating Action Button](https://github.com/futuresimple/android-floating-action-button)
* [Material Dialogs](https://github.com/afollestad/material-dialogs)
* [Ambil Warna](https://github.com/yukuku/ambilwarna)
* [Materialish Progress](https://github.com/pnikosis/materialish-progress)
* [Material Drawer](https://github.com/mikepenz/MaterialDrawer)
* [RecyclerViewFastScroller](https://github.com/danoz73/RecyclerViewFastScroller)
* [Phoenix](https://github.com/Yalantis/Phoenix)

## License

    Copyright 2015 Javier Santos

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
